Code Signer - Defect #1190

Chain verification: Error
02/22/2017 05:51 PM - Bob Mezzadri

Status: Resolved Start date: 02/22/2017
Priority: Normal Due date:

Assignee: Bob Mezzadri % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

While running version 1.3.4 with Java version 1.8.0_121 (x86) | am getting a Chain verification Error shown below. | was however
able to continue through and sign all jar files with out issues.

Thanks,

Bob

KeyStore: keystore.jks

Alias: company name, lic’'s comodo ca limited id

Status: valid

Signature:

CN=Company Name\\

LLC

O=Company Name\\

LLC

STREET=111 Main Street

STREET=Ste 1

L=South City

ST=WY

2.5.4.17=#0c053131313131

C=US

Valid from 06 Feb 2017 19:00:00 to 07 Feb 2020 18:59:59
Chain verification: Error

Error building certification path: CN="Company Name, LLC", O="Company Name, LLC", STREET=111 Main Street, STREET=Ste 1,
L=South City, ST=WY, OID.2.5.4.17=11111, C=US

History

#1 - 02/22/2017 06:11 PM - Patrick Talbot
- Status changed from New to Feedback

- Assignee set to Bob Mezzadri

The process might have continued but it could be that the jars are not properly signed, or that the JVM when launching web start will complain about
the certificate not being valid.

| would check your keystore to make sure it contains any intermediate certificate(s) along with your own, to ensure that you have a complete chain
between your certificate and a Root CA that is recognized in the JVM.

If not, you need to import these intermediate certificates in the keystore and sign again.

#2 - 02/22/2017 08:30 PM - Bob Mezzadri

Thanks for the fast reply Patrick.
I did run through the properties of each of the jar files and they have all been updated with the proper information including Valid from - to dates.

As long as the jar files have a proper valid from to date I'm happy.

Thanks again,
Bob

#3 - 06/28/2021 08:37 PM - Patrick Talbot

- Status changed from Feedback to Resolved
